Skip to content

Get account for project
GA

Request

Returns an account for a project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Account

Bodyapplication/json
isEmbeddedSignupbooleanrequired

true if the Account was created through Embedded Signup. false otherwise.

businessManagerstring(WhatsappBusinessManagers)required

Business manager.

Enum:"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK""UNRECOGNIZED"
compatibleRegionsArray of strings, uniquerequired

Conversation API app regions the sender can be used for.

statestring(WhatsappAccountState)

The current state of your account.

Enum:"ONBOARDED""PENDING_FACEBOOK_VERIFICATION""REJECTED"
wabaIdstring

WhatsApp Business Manager ID.

changesobject(WhatsappAccountChangesDto)

Any pending changes to the account.

detailsobject(WhatsappAccountDetailsDto)

Account details and information.

wabaBanStatestring(WhatsappWabaBanStates)

Ban state when account has been banned.

Enum:"DISABLE""REINSTATE""SCHEDULE_FOR_DISABLE""UNRECOGNIZED"
wabaBanDatestring

The UTC Date Time in ISO 8601 for when account has been banned.

wabaEnabledForInsightsboolean

Template analytics status for account.

wabaEnabledForDirectSendboolean

Direct Send API status for account.

primaryBusinessLocationstring(WhatsappCountryCodes)

Two-letter country code in ISO 3166 standard, specifying the country where business is based

Enum:"AD""AE""AF""AG""AI""AL""AM""AO""AQ""AR"
businessDailyLimitstring(WhatsappDailyLimit)

Current daily message limit of the account.

Enum:"NOT_SET""TIER_100K""TIER_10K""TIER_1K""TIER_250""TIER_2K""TIER_50""TIER_UNLIMITED""UNRECOGNIZED"
currencystring

The currency code for the account.

partnerInitiatedRequestIdstringdeprecated

Deprecated. This field is retained for backward compatibility and is always returned as undefined.

Response

Response with an account.

{ "state": "ONBOARDED", "isEmbeddedSignup": false, "businessManager": "SINCH_UK", "wabaId": "1234567890", "details": { "companyLegalName": "Legal name of company", "wabaName": "Legal name of company", "clientBusinessManagerId": "1234567890" }, "wabaEnabledForInsights": false, "wabaEnabledForDirectSend": false, "compatibleRegions": [ "eu", "us" ], "currency": "EUR" }
We'd love to hear from you!
Rate this content: